<div id="<?= $this->getId('wrapper'); ?>">
    <div class="form-group">
        <div class="wn-icon-preview">
            <input type="hidden" data-role="input" name="<?= $this->getFieldName(); ?>" id="<?= $this->getId(); ?>" value="<?= $value; ?>" />
            <i class="wn-icon-preview-icon <?= $value; ?>" data-role="selected-icon"></i> <div class="wn-icon-preview-label" data-role="selected-icon-label"><?= $value; ?></div>
        </div>
    </div>
    <div class="form-group">
        <input
            class="form-control"
            type="search"
            data-role="icon-search"
            autocomplete="off"
            placeholder="<?= trans('studiobosco.helpers::lang.search'); ?>"
            oninput="filterFontAwesomeIcons(this, '<?= $this->getId('wrapper'); ?>');"
        />
    </div>
    <ul data-role="icons">
        <?php foreach($options as $icon => $label): ?>
        <li data-role="icon" data-icon="<?= $icon; ?>" class="hidden">
            <button
                class="wn-icon-option"
                onclick="selectFontAwesomeIcon('<?= $icon; ?>', '<?= $this->getId('wrapper'); ?>'); return false;"
            >
                <i class="wn-icon-option-icon <?= $icon; ?>"></i> <div class="wn-icon-option-label"><?= $label; ?></div>
            </button>
        </li>
        <?php endforeach; ?>
    </ul>
</div>
